Lists agent thread messages.

GEThttps://api.awork.com/api/v1/agents/threads/{threadId}/messages
GET https://api.awork.com/api/v1/agents/threads/{threadId}/messages

Lists messages from the specified personal-agent or custom-agent conversation, including the agent messages of the custom agents that the conversation started. Use this endpoint to retrieve replies after creating a thread or submitting a message. Returns not found if the thread is missing or the user cannot read it.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

threadIdstringRequired
format: uuid

The thread id.

Responses

200 OK

application/json

idstringOptional
format: uuid

The id of the entity.

createdOnstringOptional
format: date-time

The date this entity was created.

createdBystringOptional
format: uuid

The id of the user who created this entity.

updatedOnstringOptional
format: date-time

The date this entity was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this entity.

presetKeystring or nullOptional

The live preset selected for this user message.

threadIdstringOptional
format: uuid

The thread that owns the message.

parentThreadIdstring or nullOptional
format: uuid

The parent thread for a delegated message.

rolestring or nullOptional

The message author's role.

contentstring or nullOptional

The user-visible message text.

clientMessageIdstring or nullOptional

The client-generated idempotency key for a user message.

runtimeMessageIdstring or nullOptional

The stable message reference used by the runtime provider.

modelstring or nullOptional

The model that produced the message.

toolCallIdstring or nullOptional

The provider tool-call identifier associated with the message.

temporaryFilesarray of object or nullOptional

The temporary files attached to the message.

Show 5 properties
idstring or nullOptional

The temporary file identifier. For agent output files, this is the sandbox path of the file.

namestring or nullOptional

The display name.

mimeTypestring or nullOptional

The file media type.

sandboxPathstring or nullOptional

The canonical sandbox path assigned after file promotion.

downloadUrlstring or nullOptional

The download URL, relative to the API base URL.

toolCallsarray of object or nullOptional

The tool calls stored with this message.

Show 7 properties
idstring or nullOptional

The provider tool call identifier.

toolNamestring or nullOptional

The runtime tool that was called.

connectorIdstring or nullOptional
format: uuid

The connector that supplied the tool, if applicable.

connectionIdstring or nullOptional
format: uuid

The connector connection used by the tool, if applicable.

argumentsobject or nullOptional

The structured arguments supplied to the tool.

Show schema

object or null

Additional properties

any

responsestring or nullOptional

The serialized tool result.

chartBlockstring or nullOptional

The serialized native chart block produced by code mode, when present.

reasoningarray of object or nullOptional

The user-visible reasoning text stored with this message.

Show 2 properties
idstring or nullOptional

The provider reasoning item id.

textstring or nullOptional

The safe reasoning summary text.

agentIdstring or nullOptional
format: uuid

The custom agent that produced the message, if applicable.

messageOrderintegerOptional
format: int32

The message order.

isStreamingbooleanOptional

Whether the message is still streaming.

streamCompletedbooleanOptional

The stream completed.

traceIdstring or nullOptional

The distributed trace that produced the message.

modelProviderstring or nullOptional

The model provider selected for this message.

reasoningLevelstring or nullOptional

The reasoning level selected for this message.

toolAccessobjectOptional

Describes the tool access used for an agent message.

Show 4 properties
webSearchEnabledbooleanOptional

Whether web search was enabled.

aworkAccessEnabledbooleanOptional

Whether awork access was enabled.

googleGenAiAccessEnabledbooleanOptional

Whether Google image generation was enabled.

openAiImageGenerationAccessEnabledbooleanOptional

Whether OpenAI image generation was enabled.

connectorIdsarray of string or nullOptional

The connector identifiers selected for this message.

connectorConnectionsarray of object or nullOptional

Acting-user connection choices made by the requesting user for this message.

Show 2 properties
connectorIdstringOptional
format: uuid

The connector identifier.

connectionIdstringOptional
format: uuid

The connection identifier.

skillIdsarray of string or nullOptional

The skill identifiers selected for this message.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation